package com.readboy.provider.zsc.info;

import android.net.Uri;
import android.os.Environment;

public class OldDbConstants {
	
	
	public static final String ROOTFILE = Environment.getExternalStorageDirectory()+"";
	public static final String FILEROOTPATH = ROOTFILE + "/.readboy/profile";  			
	public static final String ICONPATH = FILEROOTPATH + "/img";
	public static final String USERINFOPATH = FILEROOTPATH + "/userInfo";
	public static final String SUBJECTPATH = FILEROOTPATH + "/subjectInfo";//用户科目信息（出版社）
	public final static String IMGTYPE = ".jpg";
	public static String IMAGESTRING = "file://"+ ROOTFILE +"/personalImage/";
	
	public static final String AUTHORITY = "com.readboy.personal.personalProvider";
	/**用户基本信息表*/
	public static final String USERINFO_TABLE = "userinfo_data";
	public final static Uri USER_INFO_CONTENT_URI = 
			Uri.parse("content://" + AUTHORITY + "/PersonalProvider");
	
	/**
     * 数据库的字段名
     */
    public static String T_ID = "_id";				//字段名
	public static String T_BLOB = "_imageStr";		//字段名			头像
	public static String T_USERNAME = "_userName";		//用户帐号
	public static String T_REALNAME = "_realName";
	public static String T_GRADE = "_grade";		//年纪
	public static String T_PW = "_password";		//密码
	public static String T_UID = "_uid";			//uid	
	public static String T_PROVINCEID = "_provinceId";			//省的id
	public static String T_CITYID = "_cityId";
	public static String T_DISTRICT = "_districtId";
	public static String T_PROVSTR = "_provStr";
	public static String T_CITYSTR = "_cityStr";
	public static String T_SCHSTR = "_schoolStr";
	public static String T_SCHID = "_schoolId";
	public static String T_CHIID = "_chinessPubId";
	public static String T_MATH = "_mathPubId";
	public static String T_ENGLISH = "_englishPubId";
	public static String T_PHYSICS = "_phyPubId";				//物理
	public static String T_CHMI = "_chmPubId";					//化学
	public static String T_GEO = "_geoPubId";
	public static String T_HIS = "_hisPubId";
	public static String T_BIO = "_bioPubId";
	public static String T_POLI = "_poliId";
	public static String T_SCIEN = "_scienId";
	public static String T_TOKEN = "_accessToken";
    
    
	
}
