package com.readboy.provider.mhc.info;

import android.net.Uri;
public class DbConstants {
	
	
	public static final String PKGNAME = "com.readboy.personalsetting";
	
	public static final String AUTHORITY = "com.readboy.personal.personalProvider";
	
	/**用户基本信息表*/
	public static final String USERINFO_TABLE = "mhc_user_info_data";
	public final static Uri USER_INFO_CONTENT_URI = 
			Uri.parse("content://" +  DbConstants.AUTHORITY + "/"+USERINFO_TABLE);
	/**
     * 数据库用户基本信息表的字段名
     */
    public static final String T_ID = "id";				//字段名
    public static final String T_UID = "uid";			//uid
	public static final String T_USERNAME = "username";		//用户帐号
	public static final String T_REALNAME = "realname";
	public static final String T_PW = "password";		//密码
	public static final String T_TOKEN = "accessToken";	//访问fyd用户中心的token
	public static final String T_CLASS_TOKEN = "classToken";	//访问qzl班级的token
	public static final String T_PHOTO_URI = "photoUri";
	public static final String T_BLOB = "imageStr";		//字段名			头像
	
	public static final String T_GENDER = "gender";//0代表男的，其他代表女的
	public static final String T_GENDERSTR = "genderStr";
	public static final String T_BIRTH_YEAR = "birth_y";
	public static final String T_BIRTH_MONTH= "birth_m";
	public static final String T_BIRTH_DAY = "birth_d";
	public static final String T_MONEY = "money";
	public static final String T_BEAN = "bean";
	public static final String T_MOBILE = "mobile";
	
////////////////---以下字段只有在调用2.50版本以前的个人中心才会用到---------/////////////
	public static final String T_PROVINCEID = "province";			//省的id
	public static final String T_CITYID = "city";
	public static final String T_DISTRICT = "district";
	public static final String T_PROVSTR = "provStr";
	public static final String T_CITYSTR = "cityStr";
	public static final String T_GRADE = "grade";		//年级（0对应一年级，1对应二年级等）
	public static final String T_SCHSTR = "schoolStr";
	public static final String T_SCHID = "school";
////////////////---以上字段只有在调用2.50版本以前的个人中心才会用到---------/////////////
	
	
	/**用户所有教材信息表*/
	public static final String USER_BOOKS_TABLE = "mhc_user_books_data";
	
	public static final String S_ID = "id";
	public static final String S_UID = "uid";
	public static final String S_STAGE = "stage";//学段   1~3,小学，初中，高中
	public static final String S_GRADE = "grade";		//年级（0对应一年级，1对应二年级等）
	public static final String S_GRADESTR = "gradeStr";		//年级(中文字符串)
	public static final String S_SCHOOLID = "schoolId";
	public static final String S_SCHOOLNAME = "schoolName";
	
	public static final String S_PROVINCEID = "provinceId";			//省的id
	public static final String S_CITYID = "cityId";
	public static final String S_DISTRICTID = "districtId";
	public static final String S_PROVINCESTR = "provStr";
	public static final String S_CITYSTR = "cityStr";
	public static final String S_DISTRICTSTR = "districtStr";
	
//	public static final String S_YW_ID = "ywBookId";//语文书本id
//	public static final String S_SX_ID = "sxBookId";//数学书本id
//	public static final String S_YY_ID = "yyBookId";//英语书本id
//	public static final String S_WL_ID = "wlBookId";//物理书本id
//	public static final String S_HX_ID = "hxBookId";//化学书本id
//	public static final String S_SW_ID = "swBookId";//生物书本id
//	public static final String S_LS_ID = "lsBookId";//历史书本id
//	public static final String S_DL_ID = "dlBookId";//地理书本id
//	public static final String S_ZZ_ID = "zzBookId";//政治书本id
//	
//	public static final String S_YW_NAME = "ywBookName";//语文书本name
//	public static final String S_SX_NAME = "sxBookName";//数学书本name
//	public static final String S_YY_NAME = "yyBookName";//英语书本name
//	public static final String S_WL_NAME = "wlBookName";//物理书本name
//	public static final String S_HX_NAME = "hxBookName";//化学书本name
//	public static final String S_SW_NAME = "swBookName";//生物书本name
//	public static final String S_LS_NAME = "lsBookName";//历史书本name
//	public static final String S_DL_NAME = "dlBookName";//地理书本name
//	public static final String S_ZZ_NAME = "zzBookName";//政治书本name
	
	
	
	
	/**教材班级信息表*/
	public static final String BOOK_CLASS_TABLE = "mhc_book_class_data";
	public static final String B_ID = "id";
	public static final String B_BOOK_ID = "bookId";
	public static final String B_BOOK_NAME = "bookName";
	public static final String B_BOOK_GRADE_ID = "bookGradeId";
	public static final String B_BOOK_SUB_ID = "bookSubId";
	public static final String B_EDITION_ID = "editionId";
	public static final String B_EDITION_NAME = "editionName";
	public static final String B_SUBJECT_VISIBLE = "subjectVisible";//0  这个科目可见， 1不可见
	public static final String B_COVER_PATH = "coverPath";
	public static final String B_BLOB = "imageStr";
	
	public static final String B_PUBID = "publishId";
	public static final String B_PUBNAME = "publishName";
	public static final String B_CLASSID = "classId";
	public static final String B_CLASSNAME = "className";
	
	
	
//	public static final String C_ID = "id";
//	public static final String C_UID = "uid";
	
	
}
